Chat ExperimentCopy Pagepost https://api.humanloop.com/v4/chat-experimentGet a chat response for a specific experiment.Body ParamsBase chat request.projectstringUnique project name. If no project exists with this name, a new project will be created.project_idstringUnique ID of a project to associate to the log. Either this or project must be provided.session_idstringID of the session to associate the datapoint.session_reference_idstringA unique string identifying the session to associate the datapoint to. Allows you to log multiple datapoints to a session (using an ID kept by your internal systems) by passing the same session_reference_id in subsequent log requests. Specify at most one of this or session_id.parent_idstringID associated to the parent datapoint in a session.parent_reference_idstringA unique string identifying the previously-logged parent datapoint in a session. Allows you to log nested datapoints with your internal system IDs by passing the same reference ID as parent_id in a prior log request. Specify at most one of this or parent_id. Note that this cannot refer to a datapoint being logged in the same request.inputsobjectThe inputs passed to the prompt template.Inputs objectsourcestringIdentifies where the model was called from.metadataobjectAny additional metadata to record.Metadata objectsavebooleanDefaults to trueWhether the request/response payloads will be stored on Humanloop.truefalsesource_datapoint_idstringID of the source datapoint if this is a log derived from a datapoint in a dataset.provider_api_keysobjectAPI keys required by each provider to make API calls. The API keys provided here are not stored by Humanloop. If not specified here, Humanloop will fall back to the key saved to your organization.Provider API Keys objectnum_samplesintegerDefaults to 1The number of chat responses, where each chat response will use a model configuration sampled from the experiment.streambooleanDefaults to falseIf true, tokens will be sent as data-only server-sent events. If num_samples > 1, samples are streamed back independently.truefalseuserstringEnd-user ID passed through to provider call.seedintegerdeprecatedDeprecated field: the seed is instead set as part of the request.config object.return_inputsbooleanDefaults to trueWhether to return the inputs in the response. If false, the response will contain an empty dictionary under inputs. This is useful for reducing the size of the response. Defaults to true.truefalsemessagesarray of objectsrequiredThe messages passed to the to provider chat endpoint.Messages*ADD objecttool_choicestring | ToolChoiceControls how the model uses tools. The following options are supported: 'none' forces the model to not call a tool; the default when no tools are provided as part of the model config. 'auto' the model can decide to call one of the provided tools; the default when tools are provided as part of the model config. Providing {'type': 'function', 'function': {name': <TOOL_NAME>}} forces the model to use the named function.Tool choice string | ToolChoicetool_callstring | objectdeprecatedNB: Deprecated with new tool_choice. Controls how the model uses tools. The following options are supported: 'none' forces the model to not call a tool; the default when no tools are provided as part of the model config. 'auto' the model can decide to call one of the provided tools; the default when tools are provided as part of the model config. Providing {'name': <TOOL_NAME>} forces the model to use the provided tool of the same name.Tool call string | objectresponse_formatobjectResponse format of the model.Response format objectexperiment_idstringrequiredIf an experiment ID is provided a model configuration will be sampled from the experiments active model configurations.Responses 200Successful Response 422Validation ErrorUpdated over 2 years ago